Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  CATIA V5 Datentransfer
  Punktkoordinaten mit Excel verknüpfen

  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Thema geschlossen  Thema geschlossen!
Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

Dieser Beitrag ist erfolgreich in das Forum CATIA V5 Programmierung verschoben worden.

nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Punktkoordinaten mit Excel verknüpfen (244 mal gelesen)
real Minimilian
Mitglied


Sehen Sie sich das Profil von real Minimilian an!   Senden Sie eine Private Message an real Minimilian  Schreiben Sie einen Gästebucheintrag für real Minimilian

Beiträge: 5
Registriert: 03.05.2019

erstellt am: 03. Mai. 2019 09:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo, bin relativ neu in der VBA Programmierung und richte mich mit meinem Anliegen nun an euch:

Ich habe eine Punktwolke in Catia aus 13 Punkten, welche ihre Koordinaten aus einer Excel Datei beziehen. (1. Spalte X-Koordinaten, 2. Spalte Y-Koordinaten, 3. Spalte Z-Koordinaten).

Mithilfe eines Makros konnte ich diese Punkte 1zu1 in Catia importieren. Allerdings legt er mir mit diesem Makro immer neue Punkte an.
Ich hätte aber gerne, dass er die Namen (4. Spalte) ebenfalls mit einliest und die Punkte nicht neu setzt, sondern schlichtweg die Koordinaten der bestehenden Punkte aktualisiert. Ist dies so einfach wie ich es mir vorstelle? Ich kenne leider die ganzen Befehle nicht wirklich und bin in der Suche auch nicht wirklich fündig geworden.

Hier ist der Code meines Makros:
Sub CreationPoint()

    'recuperation de CATIA
    Dim PtDoc As Object
    Set PtDoc = GetCATIAPartDocument
   
    'recup de l'HybridBody
    Dim myHBody As Object
    Set myHBody = PtDoc.Part.HybridBodies.Item(1)
   
    Dim iLigne As Integer
    Dim iValide As Integer
    Dim X As Double
    Dim Y As Double
    Dim Z As Double
    Dim Point As Object
   
    iLigne = 1
    'Analyse du fichier
    While iValide <> Cst_iEND
        'lecture d'une ligne complete
        AnalyseChaine iLigne, X, Y, Z, iValide
        iLigne = iLigne + 1
       
        'nous ne sommes pas sur un startcurve ou endcurve -> pt valide
        If (iValide = 0) Then
            Set Point = PtDoc.Part.HybridShapeFactory.AddNewPointCoord(X, Y, Z)
            myHBody.AppendHybridShape Point
        End If
    Wend
   
    'Mise a jour du modele
    PtDoc.Part.Update
End Sub

Wäre euch sehr dankbar, wenn ihr mir weiterhelfen könntet.

Liebe Grüße
Max

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

bgrittmann
Moderator
Konstrukteur


Sehen Sie sich das Profil von bgrittmann an!   Senden Sie eine Private Message an bgrittmann  Schreiben Sie einen Gästebucheintrag für bgrittmann

Beiträge: 10877
Registriert: 30.11.2006

CATIA V5R19

erstellt am: 03. Mai. 2019 10:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für real Minimilian 10 Unities + Antwort hilfreich

Servus Max

Willkommen im Forum.
Bitte Systeminfo ergänzen.
Das Thema passt besser ins Programmier-Forum: Hier geht es weiter.

Gruß
Bernd

------------------
Warum einfach, wenn es auch kompliziert geht.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag öffnen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz